[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.RealGetText

Uses the TextHint display status when getting the value for Text.

## Declaration

Source position: stdctrls.pp line 828

`protected function TCustomEdit.RealGetText: TCaption; override;`

## Function result

Value used for the Text property.

## Description

RealGetText is an overridden method in TCustomEdit. It ensures that an emulated TextHint display status is considered when getting the value for the Text property. In other words, the inherited method is not called when the TextHint display is visible. The return value is an empty string ('') in this case.

## See also

TCustomEdit.Text |  | The text displayed and edited for the control.
TCustomEdit.TextHint |  | Default hint text shown when the Text property is empty for the control.
TControl.RealGetText |  | Returns the Caption property.